/* 
 * AndSys 0.3.h.24 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.LinearLayout;
import android.widget.TextView;

/*
 * TODO: not well sort Packages List on Change language 
 * TODO: designed for tablets
 */

/**
 * Commons in every Activity
 */
public abstract class Activity extends android.app.Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        /*
         * Remove title bar: call requestWindowFeature(... before setContentView(...
         */
        this.requestWindowFeature(Window.FEATURE_NO_TITLE);

    }

    @Override
    protected void onStart() {
        super.onStart();

        /*
         * FIRST CHILD MUST setContentView(...
         */
        
        /*
         * THEN...
         */
        
        /*
         * Header1 Button: change background of selected button
         */

        if (getClass().equals(ActivityApps.class)) {
            ImageButton buttonApps = (ImageButton) findViewById(R.id.buttonApps);
            buttonApps.setBackgroundResource(R.drawable.orange);

        } else if (getClass().equals(ActivityDevice.class)) {
            ImageButton buttonDevice = (ImageButton) findViewById(R.id.buttonDevice);
            buttonDevice.setBackgroundResource(R.drawable.orange);

        } else if (getClass().equals(ActivityHelpReadme.class)
                || getClass().equals(ActivityHelpFeatures.class)) {
            ImageButton buttonHelp = (ImageButton) findViewById(R.id.buttonHelp);
            buttonHelp.setBackgroundResource(R.drawable.orange);

            Button helpReadme = (Button) findViewById(R.id.helpReadme);
            Button helpFeatures = (Button) findViewById(R.id.helpFeatures);
            LinearLayout helpReadmeLine = (LinearLayout) findViewById(R.id.helpReadmeLine);
            LinearLayout helpFeaturesLine = (LinearLayout) findViewById(R.id.helpFeaturesLine);

            /*
             * Header2 Button: change background of selected button
             */

            TextView emptyUsefullGetTextAppearence = (TextView) findViewById(R.id.empty_usefull_get_text_appearence);
            if (getClass().equals(ActivityHelpReadme.class)) {
                helpReadme.setBackgroundResource(android.R.color.transparent);
                helpReadme.setTextColor(emptyUsefullGetTextAppearence.getCurrentTextColor());
                helpFeaturesLine.setVisibility(android.view.View.INVISIBLE);

            } else {
                // (getClass().equals(ActivityHelpFeatures.class))
                helpFeatures.setBackgroundResource(android.R.color.transparent);
                helpFeatures.setTextColor(emptyUsefullGetTextAppearence.getCurrentTextColor());
                helpReadmeLine.setVisibility(android.view.View.INVISIBLE);
            }
        }
    }


    public void onClickButtonApps(View view) {
        Intent intent = new Intent(this, ActivityApps.class);
        startActivity(intent);
    }


    public void onClickButtonDevice(View view) {
        Intent intent = new Intent(this, ActivityDevice.class);
        startActivity(intent);
    }

 
    public void onClickButtonHelp(View view) {
        onClickHelpReadme(view);
    }

    public void onClickHelpReadme(View view) {
        Intent intent = new Intent(this, ActivityHelpReadme.class);
        startActivity(intent);
    }

    public void onClickHelpFeatures(View view) {
        Intent intent = new Intent(this, ActivityHelpFeatures.class);
        startActivity(intent);
    }
    
}
